                   ;d0=x pos
                   ;d1=y
                   ;d2=chars/line
                   ;d3=# of lines
                   ;a0=text pointer

varioustext:
king1T: db "OMENS",0
KING2T:   db "SHRINE",0
CORONERT: db "SIRENS",0
DESTOPT: db "DESTOP PRODUCTIONS",0
  cnop 0,4
                        ;d0,d1=x,y
                        ;d2,d3=chars/line, # of lines
                        ;a0=text
fontscale dw $10000
fontxpos dw 0
fontfade dw 0
placetext:
              move  d4,d2  ;save chars per line for later
              move  d5,d0  ;save xpos
              lw    d7,fontscale
              sw    d7,yscale
              LI    D6,16
              SW    D6,width
              sw    d6,height

@nextletter
              lbu   d8,0(a0)
              addu  a0,1
              addu  d8,-32
              BEQZ  D8,@SKIPSPACE
              sll   d8,9
              la    a1,FONTS
              addu  a1,d8
              sw    a1,spritepointer
              sw    d0,xposition
              sw    d1,yposition
              sw    d0,-4(a8)
              sw    d1,-8(a8)
              sw    d2,-12(a8)
              sw    d3,-16(a8)
              sw    d4,-20(a8)
              sw    a0,-24(a8)
              sw    ra,-28(a8)
              sw    d5,-32(a8)
              jal   dosprite
              nop
              lw    d0,-4(a8)
              lw    d1,-8(a8)
              lw    d2,-12(a8)
              lw    d3,-16(a8)
              lw    d4,-20(a8)
              lw    a0,-24(a8)
              lw    ra,-28(a8)
              lw    d5,-32(a8)

@SKIPSPACE
              addu  d0,16       ;next xpos
              addu  d2,-1
              bnez  d2,@nextletter
              nop
              move  d0,d5    ;xpos
              move  d2,d4    ;chars/line
              addu  d1,9     ;nextypos
              addu  d3,-1
              bnez  d3,@nextletter
              nop
              jr ra
              nop

